#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdio_ext.h>

char **split(char frase[], char separador)
{
    int i, j, k, contsep = 0;

    for (i = 0, contsep = 0; i < strlen(frase); i++)
        if (frase[i] == separador)
            contsep++;

    char aux[contsep][20];
    char **result = (char **)malloc(contsep * sizeof(char));

    if (contsep)
    {
        for (i = 0; i <= contsep; i++)
            *(result + i) = (char *)malloc(40 * sizeof(char));

        for (i = 0, k = 0, j = 0; i < strlen(frase); i++)
            if (frase[i] != separador)
            {
                aux[k][j] = frase[i];
                j++;
            }
            else
            {
                aux[k][j] = 0;
                k++;
                j = 0;
            }
        aux[k][j] = 0;

        for (i = 0; i <= contsep; i++)
            *(result + i) = strcpy(*(result + i), aux[i]);

        return result;
    }
    else
        printf("Nenhum Separador Encontrado");
}

int main(int argc, char **argv)
{
    char linha[35];

    int dezenas[60][2];

    for (int x = 0; x < 60; x++)
    {
        for (int y = 0; y < 2; y++)
        {
            dezenas[x][y] = 0;
        }
    }
    while (1)
    {
        fgets(linha, 35, stdin);
        linha[strlen(linha) - 1] = '\0';

        if (strcmp(linha, "0") == 0)
        {
            break;
        }

        char **temp = split(linha, ' ');

        for (int i = 2; i < 8; i++)
        {
            printf("%s\n", temp[i]);
        }

        for (int x = 2; x < 8; x++)
        {
            dezenas[atoi(temp[x]) - 1][0] = atoi(temp[x]);

            dezenas[atoi(temp[x]) - 1][1]++;
        }
    }

    int dez[1][1];
    dez[0][0] = 0;
    dez[0][1] = 0;
    dez[1][0] = 0;
    dez[1][1] = 0;

    for (int x = 0; x < 60; x++)
    {
        int trocou = 0;
        for (int y = 0; y < 60 - 1; y++)
        {
            if (dezenas[y][1] < dezenas[y + 1][1])
            {
                trocou = 1;
                dez[0][0] = dezenas[y + 1][0];
                dez[0][1] = dezenas[y + 1][1];
                dezenas[y + 1][0] = dezenas[y][0];
                dezenas[y + 1][1] = dezenas[y][1];
                dezenas[y][0] = dez[0][0];
                dezenas[y][1] = dez[0][1];
            }
        }
        if (!trocou)
        {
            break;
        }
    }

    int x = 1;

    for (int y = 0; y < 60; y++)
    {
        printf("%d %d %d \n", x, dezenas[y][0], dezenas[y][1]);
        x++;
    }

    return 0;
}